Package org.drinkless.tdlib

# Class TdApi.InlineQueryResultGame

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResult
org.drinkless.tdlib.TdApi.InlineQueryResultGame

Enclosing class:
  `TdApi`

public static class TdApi.InlineQueryResultGame extends TdApi.InlineQueryResult
Represents information about a game.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InlineQueryResult

  `TdApi.InlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Game`
  `game`
  Game result.
  `String`
  `id`
  Unique identifier of the query result.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResultGame()`
  Represents information about a game.
  `InlineQueryResultGame(String id, TdApi.Game game)`
  Represents information about a game.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### game

    public TdApi.Game game
    Game result.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResultGame

    public InlineQueryResultGame()
    Represents information about a game.

  - ### InlineQueryResultGame

    public InlineQueryResultGame(String id, TdApi.Game game)
    Represents information about a game.
    Parameters:
      `id` - Unique identifier of the query result.
      `game` - Game result.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InlineQueryResult`
    Returns:
      this.CONSTRUCTOR